=== debian/changelog ===
brewtarget (4.0.17-1) unstable; urgency=medium

  * New upstream version 4.0.17
    - Use Qt6 instead of Qt5
    - Refresh patch
    - Add new packages to Build-Depends
  * Use wrap-and-sort -astkb
  * Update Standards-Version to 4.7.0, no changes needed
  * Update project homepage
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 17 Feb 2025 15:54:16 +0100
