=== debian/control ===
Source: brewtarget
Section: misc
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libboost-dev,
 libboost-stacktrace-dev,
 libgl1-mesa-dev,
 libglx-dev,
 libssl-dev,
 libvalijson-dev,
 libxalan-c-dev,
 libxerces-c-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-l10n-tools,
 qt6-multimedia-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-translations-l10n,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.brewtarget.beer/
Vcs-Git: https://salsa.debian.org/debian/brewtarget.git
Vcs-Browser: https://salsa.debian.org/debian/brewtarget

Package: brewtarget
Architecture: any
Depends:
 libqt6gui6,
 libqt6multimedia6,
 libqt6sql6-sqlite,
 libqt6svg6,
 libqt6svgwidgets6,
 ${misc:Depends},
 ${shlibs:Depends},
Description: GUI beer brewing software
 Brewtarget is a calculator for brewing beer. It is a Qt-based program which
 allows you to create recipes from a database of ingredients. It calculates all
 the important parameters, helps you with mash temperatures, and just makes the
 process of recipe formulation much easier.
