=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #----------------------------------------------------------------------------------------------------------------------
-# src/CMakeLists.txt is part of Brewtarget, and is copyright the following authors 2009-2024:
+# src/CMakeLists.txt is part of Brewtarget, and is copyright the following authors 2009-2025:
 #   • Aidan Roberts <aidanr67@gmail.com>
 #   • Daniel Moreno <danielm5@users.noreply.github.com>
 #   • Mark de Wever <koraq@xs4all.nl>
@@ -49,25 +49,23 @@
     ${repoDir}/src/BrewNoteWidget.cpp
     ${repoDir}/src/BtColor.cpp
     ${repoDir}/src/BtDatePopup.cpp
-    ${repoDir}/src/BtFieldType.cpp
     ${repoDir}/src/BtHorizontalTabs.cpp
     ${repoDir}/src/BtSplashScreen.cpp
     ${repoDir}/src/BtTabWidget.cpp
     ${repoDir}/src/BtTextEdit.cpp
     ${repoDir}/src/ConverterTool.cpp
-    ${repoDir}/src/HeatCalculations.cpp
     ${repoDir}/src/HelpDialog.cpp
     ${repoDir}/src/Html.cpp
     ${repoDir}/src/HydrometerTool.cpp
     ${repoDir}/src/IbuGuSlider.cpp
     ${repoDir}/src/InventoryFormatter.cpp
+    ${repoDir}/src/InventoryWindow.cpp
     ${repoDir}/src/LatestReleaseFinder.cpp
     ${repoDir}/src/Localization.cpp
     ${repoDir}/src/Logging.cpp
     ${repoDir}/src/MainWindow.cpp
     ${repoDir}/src/MashDesigner.cpp
     ${repoDir}/src/MashWizard.cpp
-    ${repoDir}/src/NamedEntitySortProxyModel.cpp
     ${repoDir}/src/OgAdjuster.cpp
     ${repoDir}/src/OptionDialog.cpp
     ${repoDir}/src/PersistentSettings.cpp
@@ -85,7 +83,7 @@
     ${repoDir}/src/TimerListDialog.cpp
     ${repoDir}/src/TimerMainDialog.cpp
     ${repoDir}/src/TimerWidget.cpp
-    ${repoDir}/src/WaterDialog.cpp
+    ${repoDir}/src/WaterProfileAdjustmentTool.cpp
     ${repoDir}/src/boiltime.cpp
     ${repoDir}/src/buttons/BoilButton.cpp
     ${repoDir}/src/buttons/EquipmentButton.cpp
@@ -94,11 +92,16 @@
     ${repoDir}/src/buttons/RecipeAttributeButton.cpp
     ${repoDir}/src/buttons/StyleButton.cpp
     ${repoDir}/src/buttons/WaterButton.cpp
+    ${repoDir}/src/catalogs/BoilCatalog.cpp
     ${repoDir}/src/catalogs/EquipmentCatalog.cpp
     ${repoDir}/src/catalogs/FermentableCatalog.cpp
+    ${repoDir}/src/catalogs/FermentationCatalog.cpp
     ${repoDir}/src/catalogs/HopCatalog.cpp
+    ${repoDir}/src/catalogs/MashCatalog.cpp
     ${repoDir}/src/catalogs/MiscCatalog.cpp
+    ${repoDir}/src/catalogs/SaltCatalog.cpp
     ${repoDir}/src/catalogs/StyleCatalog.cpp
+    ${repoDir}/src/catalogs/WaterCatalog.cpp
     ${repoDir}/src/catalogs/YeastCatalog.cpp
     ${repoDir}/src/database/BtSqlQuery.cpp
     ${repoDir}/src/database/Database.cpp
@@ -117,7 +120,7 @@
     ${repoDir}/src/editors/MashEditor.cpp
     ${repoDir}/src/editors/MashStepEditor.cpp
     ${repoDir}/src/editors/MiscEditor.cpp
-    ${repoDir}/src/editors/NamedMashEditor.cpp
+    ${repoDir}/src/editors/SaltEditor.cpp
     ${repoDir}/src/editors/StyleEditor.cpp
     ${repoDir}/src/editors/WaterEditor.cpp
     ${repoDir}/src/editors/YeastEditor.cpp
@@ -125,7 +128,9 @@
     ${repoDir}/src/measurement/ColorMethods.cpp
     ${repoDir}/src/measurement/IbuMethods.cpp
     ${repoDir}/src/measurement/Measurement.cpp
+    ${repoDir}/src/measurement/NonPhysicalQuantity.cpp
     ${repoDir}/src/measurement/PhysicalQuantity.cpp
+    ${repoDir}/src/measurement/QuantityFieldType.cpp
     ${repoDir}/src/measurement/SucroseConversion.cpp
     ${repoDir}/src/measurement/SystemOfMeasurement.cpp
     ${repoDir}/src/measurement/Unit.cpp
@@ -177,24 +182,12 @@
     ${repoDir}/src/qtModels/listModels/RecipeAdditionMiscListModel.cpp
     ${repoDir}/src/qtModels/listModels/RecipeAdditionYeastListModel.cpp
     ${repoDir}/src/qtModels/listModels/RecipeAdjustmentSaltListModel.cpp
+    ${repoDir}/src/qtModels/listModels/RecipeListModel.cpp
     ${repoDir}/src/qtModels/listModels/SaltListModel.cpp
     ${repoDir}/src/qtModels/listModels/StyleListModel.cpp
     ${repoDir}/src/qtModels/listModels/WaterListModel.cpp
     ${repoDir}/src/qtModels/listModels/YeastListModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/BoilSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/EquipmentSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/FermentableSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/FermentationSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/HopSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/MashSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/MiscSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/RecipeAdditionFermentableSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/RecipeAdditionHopSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/RecipeAdditionMiscSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/RecipeAdditionYeastSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/StyleSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/WaterSortFilterProxyModel.cpp
-    ${repoDir}/src/qtModels/sortFilterProxyModels/YeastSortFilterProxyModel.cpp
+    ${repoDir}/src/qtModels/sortFilterProxyModels/NamedEntitySortFilterProxyModel.cpp
     ${repoDir}/src/qtModels/tableModels/BoilStepTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/BoilTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/BtTableModel.cpp
@@ -211,12 +204,12 @@
     ${repoDir}/src/qtModels/tableModels/RecipeAdditionMiscTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/RecipeAdditionYeastTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/RecipeAdjustmentSaltTableModel.cpp
+    ${repoDir}/src/qtModels/tableModels/RecipeTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/SaltTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/StyleTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/WaterTableModel.cpp
     ${repoDir}/src/qtModels/tableModels/YeastTableModel.cpp
     ${repoDir}/src/serialization/ImportExport.cpp
-    ${repoDir}/src/serialization/SerializationRecord.cpp
     ${repoDir}/src/serialization/json/BeerJson.cpp
     ${repoDir}/src/serialization/json/JsonCoding.cpp
     ${repoDir}/src/serialization/json/JsonMeasureableUnitsMapping.cpp
@@ -233,4 +226,21 @@
     ${repoDir}/src/serialization/xml/XmlRecipeRecord.cpp
     ${repoDir}/src/serialization/xml/XmlRecord.cpp
     ${repoDir}/src/serialization/xml/XmlRecordDefinition.cpp
-    ${repoDir}/src/trees/TreeFilterProxyModel.cpp
+    ${repoDir}/src/trees/NamedEntityTreeModel.cpp
+    ${repoDir}/src/trees/NamedEntityTreeSortFilterProxyModel.cpp
+    ${repoDir}/src/trees/NamedEntityTreeView.cpp
+    ${repoDir}/src/trees/RecipeTreeModel.cpp
+    ${repoDir}/src/trees/RecipeTreeView.cpp
+    ${repoDir}/src/trees/TreeModel.cpp
+    ${repoDir}/src/trees/TreeModelChangeGuard.cpp
+    ${repoDir}/src/trees/TreeNode.cpp
+    ${repoDir}/src/trees/TreeView.cpp
+    ${repoDir}/src/undoRedo/SimpleUndoableUpdate.cpp
+    ${repoDir}/src/undoRedo/Undoable.cpp
+    ${repoDir}/src/utils/BtException.cpp
+    ${repoDir}/src/utils/BtStringConst.cpp
+    ${repoDir}/src/utils/BtStringStream.cpp
+    ${repoDir}/src/utils/EnumStringMapping.cpp
+    ${repoDir}/src/utils/FileSystemHelpers.cpp
+    ${repoDir}/src/utils/Fonts.cpp
+    ${repoDir}/src/utils/FuzzyCompare.cpp
