=== debian/changelog ===
brewtarget (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Update debian/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.2, no changes needed
  * Replace obsolete libgl1-mesa-dev with libgl-dev
  * Remove old FSF address from d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 04 Oct 2025 17:41:41 +0200
