=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  libboost-dev,
  libboost-stacktrace-dev,
- libgl1-mesa-dev,
+ libgl-dev,
  libglx-dev,
  libssl-dev,
  libvalijson-dev,
@@ -21,8 +21,7 @@
  qt6-tools-dev,
  qt6-tools-dev-tools,
  qt6-translations-l10n,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.brewtarget.beer/
 Vcs-Git: https://salsa.debian.org/debian/brewtarget.git
 Vcs-Browser: https://salsa.debian.org/debian/brewtarget
