=== debian/watch ===
Version: 5

Template: Github
Owner: Brewtarget
Project: brewtarget
